#!/usr/bin/env python
# -*- coding: utf_8 -*-

from webcreator.event import PySignal

class SignalManager(object):
    actionPostArea = PySignal()
    actionDeleteArea = PySignal()
    actionGetListArea = PySignal()
    actionGetArea = PySignal()
    actionPutArea = PySignal()
    actionPostApp = PySignal()
    actionDeleteApp = PySignal()
    actionGetListApp = PySignal()
    actionGetApp = PySignal()
    actionPutApp = PySignal()
    actionGetListPackage = PySignal()
    actionGetPackage = PySignal()
    actionPostUser = PySignal()
    actionDeleteUser = PySignal()
    actionGetListUser = PySignal()
    actionGetUser = PySignal()
    actionPutUser = PySignal()
<<<<<<< HEAD
=======
    actionPostLogin = PySignal()
>>>>>>> 735d39eb4d0c3134b62bf4fe1b7a2ca0ea8da1ca
    actionGetListLogin = PySignal()
    actionGetLogin = PySignal()

    def __init__(self):
        super().__init__()

signalManager = SignalManager()